Subject: Ticket Assigned - I’m still waiting for the delivery of the items I ordered from your company...I’ve been receiving messages about failed delivery attempts? I got 1 call only from delivery guy asking for my location and never heard from him afterwards.
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 13 Feb 2022 11:34:52 +0000

Hi Sara Alsharif,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  I’m still waiting for the delivery of the items I ordered from your company...I’ve been receiving messages about failed delivery attempts? I got 1 call only from delivery guy asking for my location and never heard from him afterwards. Contacted

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3871120